/**
 * 测试新表格
 */
import React, { Component } from 'react'
import TableCom from '../tableCompon/index';
import { Card, WhiteSpace } from 'antd-mobile';
import { Row, Col } from 'antd';
export default class isNewTable extends Component {
    render() {
        const {
            items,
            checkAllHidden,
            isBorder,
            borderStyle,
            fatherCode,
            index,
            datas,
            isEdit,
            currentFormKey,
            init,
            get,
            obj,
            mapData,
            form,
            sqlData,
            defaultValues,
            width,
            routerState,
            messageData,
            formCode,
            formId,
            fatherObj,
            style
        } = this.props
        if(!isEdit ){ // 展示栏 暂不做处理
            return <>
                    {
                            items.map((item, i) => {
                                const allhidden = checkAllHidden(items)
                                return (<div
                                    key={i}
                                    style={{
                                        marginTop: 0,
                                        background: '#ffffff',
                                        paddingLeft: 12,
                                        width: '100%',
                                        flexWrap: 'wrap',
                                        ...style
                                    }}>
                                    {
                                        item.map((ary, j) => {
                                            return !allhidden && ary.hidden ? ""
                                                : <><TableCom
                                                    formCode={formCode}
                                                    formId={formId}
                                                    i={i}
                                                    j={j}
                                                    index={index}
                                                    fatherCode={fatherCode}
                                                    datas={datas}
                                                    isEdit={isEdit}
                                                    fatherObj={this.props.fatherObj}
                                                    formKey={currentFormKey}
                                                    init={init}
                                                    get={get}
                                                    key={j}
                                                    sqlData={sqlData}
                                                    obj={obj || {}}
                                                    form={this.props.form}
                                                    mapData={mapData}
                                                    json={ary.content}
                                                    uuid={ary.uuid}
                                                    routerState={routerState} // 兼容表单设计器路由传参
                                                    defaultValues={defaultValues || {}} 
                                                    messageData={messageData} // 场景设计器共享变量参数
                                                    /></>
                                        })
                                    }
                                </div>)
                            })
                        }
                    </>
        }
        return (
            <>
                {/* { //  Row Col 模式
                    items.map((item, i) => {
                        console.log(item)
                        const allhidden = checkAllHidden(items)
                        return <> <Row>
                            
                        
                            {
                                item.map((ary, j) => {
                                    if(ary.content?.comName==="Label"){
                                        console.log(ary)
                                        return <Col
                                        span={ary.content?.labelSpan}
                                        >
                                        {!allhidden && ary.hidden ? ""
                                        :<><TableCom
                                            formCode={formCode}
                                            formId={formId}
                                            i={i}
                                            j={j}
                                            index={index}
                                            fatherCode={fatherCode}
                                            datas={datas}
                                            isEdit={isEdit}
                                            fatherObj={this.props.fatherObj}
                                            formKey={currentFormKey}
                                            init={init}
                                            get={get}
                                            key={j}
                                            sqlData={sqlData}
                                            obj={obj || {}}
                                            form={this.props.form}
                                            mapData={mapData}
                                            json={ary.content}
                                            uuid={ary.uuid}
                                            routerState={routerState} // 兼容表单设计器路由传参
                                            defaultValues={defaultValues || {}} 
                                            messageData={messageData} // 场景设计器共享变量参数
                                            /></>
                                        }</Col>
                                    }
                                    return <Col
                                        span={24}
                                        >
                                        {!allhidden && ary.hidden ? ""
                                        :<><TableCom
                                            formCode={formCode}
                                            formId={formId}
                                            i={i}
                                            j={j}
                                            index={index}
                                            fatherCode={fatherCode}
                                            datas={datas}
                                            isEdit={isEdit}
                                            fatherObj={this.props.fatherObj}
                                            formKey={currentFormKey}
                                            init={init}
                                            get={get}
                                            key={j}
                                            sqlData={sqlData}
                                            obj={obj || {}}
                                            form={this.props.form}
                                            mapData={mapData}
                                            json={ary.content}
                                            uuid={ary.uuid}
                                            routerState={routerState} // 兼容表单设计器路由传参
                                            defaultValues={defaultValues || {}} 
                                            messageData={messageData} // 场景设计器共享变量参数
                                            /></>
                                        }</Col>
                                })
                            }
                        
                        </Row>
                        </>
                    })
                } */}
                { // 卡片模式
                    items.map((item, i) => {
                        const allhidden = checkAllHidden(items)
                        return <> <Card full>
                            
                        
                            {
                                item.map((ary, j) => {
                                    if(!ary.content){
                                        return
                                    }
                                    if(ary.content&&ary.content.comName==="Label"){
                                        return <Card.Header
                                            title={
                                                !allhidden && ary.hidden ? ""
                                        :<><TableCom
                                            formCode={formCode}
                                            formId={formId}
                                            i={i}
                                            j={j}
                                            index={index}
                                            fatherCode={fatherCode}
                                            datas={datas}
                                            isEdit={isEdit}
                                            fatherObj={this.props.fatherObj}
                                            formKey={currentFormKey}
                                            init={init}
                                            get={get}
                                            key={j}
                                            sqlData={sqlData}
                                            obj={obj || {}}
                                            form={this.props.form}
                                            mapData={mapData}
                                            json={ary.content}
                                            uuid={ary.uuid}
                                            routerState={routerState} // 兼容表单设计器路由传参
                                            defaultValues={defaultValues || {}} 
                                            messageData={messageData} // 场景设计器共享变量参数
                                            /></>
                                            }
                                        />
                                    }
                                    return !allhidden && ary.hidden ? ""
                                        :<Card.Body
                                            style={{
                                                // textAlign:ary.content&&ary.content.comName === 'Table'?"left":'right'
                                            }}
                                            > <><TableCom
                                            formCode={formCode}
                                            formId={formId}
                                            i={i}
                                            j={j}
                                            index={index}
                                            fatherCode={fatherCode}
                                            datas={datas}
                                            isEdit={isEdit}
                                            fatherObj={this.props.fatherObj}
                                            formKey={currentFormKey}
                                            init={init}
                                            get={get}
                                            key={j}
                                            sqlData={sqlData}
                                            obj={obj || {}}
                                            form={this.props.form}
                                            mapData={mapData}
                                            json={ary.content}
                                            uuid={ary.uuid}
                                            routerState={routerState} // 兼容表单设计器路由传参
                                            defaultValues={defaultValues || {}} 
                                            messageData={messageData} // 场景设计器共享变量参数
                                            /></>
                                            </Card.Body>
                                })
                            }
                        
                        </Card>
                        <WhiteSpace />
                        </>
                    })
                }
            </>
        )
    }
}
